Notícias

Protocolo TSL 1.2 e incompatibilidades da NF-e 4.00

  • Data: 05/07/2018
  • Autor: Lucas Fonseca Costa

Estamos no período de transição da NF-e 3.10 para a 4.00, e muitos desenvolvedores vem enfrentando problemas relacionados à nova versão. Um dos problemas mais recorrentes é referente ao Protocolo TLS 1.2.

 

O que é Protocolo TLS 1.2?

O Protocolo TLS 1.2 passa a ser obrigatório para emissão de NF-e e NFC-e a partir da NF-e 4.00. Conforme descrito na NT 2016.002, o Protocolo SSL foi substituído pelo TLS 1.2 por questões de segurança.

Muitos desenvolvedores vêm enfrentando problemas relacionados à compatibilidade do TLS 1.2 com alguns sistemas operacionais.  Veja a lista de Windows incompatíveis com o protocolo:

  • Windows Server 2003  
  • Windows Server 2008  
  • Windows Server 2008 - SP2    
  • Windows Server 2008 - R2 SP1 
  • Windows 7 - Sem SP1    
  • Windows 8  
  • Windows Vista 
  • Windows XP 

 

Em muitos casos, a única solução possível é substituir o sistema operacional das máquinas do cliente. Dependendo do número de máquinas e do número de clientes com este problema, o tempo gasto neste processo pode ser imenso.

 

Clique aqui e acesse as Notas Técnicas.

 

Fonte: TECNOSPED

Escreva seu comentário